<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:02 CET 2009 -->
<TITLE>
AbstractExactMembershipLongSet.AbstractStorage
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.util.longs.AbstractExactMembershipLongSet.AbstractStorage class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="AbstractExactMembershipLongSet.AbstractStorage";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/AbstractExactMembershipLongSet.AbstractStorage.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.html" title="class in ch.javasoft.util.longs"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.Storage.html" title="interface in ch.javasoft.util.longs"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/util/longs/AbstractExactMembershipLongSet.AbstractStorage.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="AbstractExactMembershipLongSet.AbstractStorage.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.util.longs</FONT>
<BR>
Class AbstractExactMembershipLongSet.AbstractStorage</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><B>ch.javasoft.util.longs.AbstractExactMembershipLongSet.AbstractStorage</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.Storage.html" title="interface in ch.javasoft.util.longs">AbstractExactMembershipLongSet.Storage</A></DD>
</DL>
<DL>
<DT><B>Direct Known Subclasses:</B> <DD><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.Storage64.html" title="class in ch.javasoft.util.longs">AbstractExactMembershipLongSet.Storage64</A></DD>
</DL>
<DL>
<DT><B>Enclosing class:</B><DD><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.html" title="class in ch.javasoft.util.longs">AbstractExactMembershipLongSet</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>protected abstract static class <A HREF="../../../../src-html/ch/javasoft/util/longs/AbstractExactMembershipLongSet.html#line.346"><B>AbstractExactMembershipLongSet.AbstractStorage</B></A><DT>extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A><DT>implements <A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.Storage.html" title="interface in ch.javasoft.util.longs">AbstractExactMembershipLongSet.Storage</A></DL>
</PRE>

<P>
<HR>

<P>

<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.AbstractStorage.html#AbstractExactMembershipLongSet.AbstractStorage(int, int)">AbstractExactMembershipLongSet.AbstractStorage</A></B>(int&nbsp;k,
                                                                                             int&nbsp;negStart)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructor with index of first nonnegative number</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.AbstractStorage.html#convertSignedToUnsignedIndex(int)">convertSignedToUnsignedIndex</A></B>(int&nbsp;signedIndex)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Converts an index referring to a sorted array using signed comparison 
 into an referring to a list containing the same numbers but sorted
 with unsigned comparison</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.AbstractStorage.html#convertUnsignedToSignedIndex(int)">convertUnsignedToSignedIndex</A></B>(int&nbsp;unsignedIndex)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Converts an index referring to a sorted array using unsigned 
 comparison into an referring to a list containing the same numbers 
 but sorted with signed comparison</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.AbstractStorage.html#getK()">getK</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the number of low-order bits</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.AbstractStorage.html#indexOfFirstNegativeValue()">indexOfFirstNegativeValue</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the index of the first negative number, or <A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.Storage.html#size()"><CODE>AbstractExactMembershipLongSet.Storage.size()</CODE></A>  
 if all values are nonnegative</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/util/longs/LongListIterator.html" title="interface in ch.javasoft.util.longs">LongListIterator</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.AbstractStorage.html#listIterator(int, int)">listIterator</A></B>(int&nbsp;start,
                         int&nbsp;end)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a list iterator to iterate all long values from <code>start</code> 
 (inclusive) to <code>end</code> (exclusive)</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.util.longs.AbstractExactMembershipLongSet.Storage"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.util.longs.<A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.Storage.html" title="interface in ch.javasoft.util.longs">AbstractExactMembershipLongSet.Storage</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.Storage.html#bytesSize()">bytesSize</A>, <A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.Storage.html#get(int)">get</A>, <A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.Storage.html#indexOf(long)">indexOf</A>, <A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.Storage.html#intersect(ch.javasoft.util.longs.AbstractExactMembershipLongSet.Storage)">intersect</A>, <A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.Storage.html#size()">size</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="AbstractExactMembershipLongSet.AbstractStorage(int, int)"><!-- --></A><H3>
AbstractExactMembershipLongSet.AbstractStorage</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/util/longs/AbstractExactMembershipLongSet.AbstractStorage.html#line.356"><B>AbstractExactMembershipLongSet.AbstractStorage</B></A>(int&nbsp;k,
                                                      int&nbsp;negStart)</PRE>
<DL>
<DD>Constructor with index of first nonnegative number
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>k</CODE> - the number of low-order bits<DD><CODE>negStart</CODE> - the index of the first negative number, or the 
                                        total number of values if all numbers are 
                                        nonnegative</DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="getK()"><!-- --></A><H3>
getK</H3>
<PRE>
public int <A HREF="../../../../src-html/ch/javasoft/util/longs/AbstractExactMembershipLongSet.AbstractStorage.html#line.360"><B>getK</B></A>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.Storage.html#getK()">AbstractExactMembershipLongSet.Storage</A></CODE></B></DD>
<DD>Returns the number of low-order bits
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.Storage.html#getK()">getK</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.Storage.html" title="interface in ch.javasoft.util.longs">AbstractExactMembershipLongSet.Storage</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="indexOfFirstNegativeValue()"><!-- --></A><H3>
indexOfFirstNegativeValue</H3>
<PRE>
public int <A HREF="../../../../src-html/ch/javasoft/util/longs/AbstractExactMembershipLongSet.AbstractStorage.html#line.363"><B>indexOfFirstNegativeValue</B></A>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.Storage.html#indexOfFirstNegativeValue()">AbstractExactMembershipLongSet.Storage</A></CODE></B></DD>
<DD>Returns the index of the first negative number, or <A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.Storage.html#size()"><CODE>AbstractExactMembershipLongSet.Storage.size()</CODE></A>  
 if all values are nonnegative
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.Storage.html#indexOfFirstNegativeValue()">indexOfFirstNegativeValue</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.Storage.html" title="interface in ch.javasoft.util.longs">AbstractExactMembershipLongSet.Storage</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the index of the first negative number, or <code>#size()</code> 
                        if all values are nonnegative</DL>
</DD>
</DL>
<HR>

<A NAME="convertSignedToUnsignedIndex(int)"><!-- --></A><H3>
convertSignedToUnsignedIndex</H3>
<PRE>
public int <A HREF="../../../../src-html/ch/javasoft/util/longs/AbstractExactMembershipLongSet.AbstractStorage.html#line.366"><B>convertSignedToUnsignedIndex</B></A>(int&nbsp;signedIndex)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.Storage.html#convertSignedToUnsignedIndex(int)">AbstractExactMembershipLongSet.Storage</A></CODE></B></DD>
<DD>Converts an index referring to a sorted array using signed comparison 
 into an referring to a list containing the same numbers but sorted
 with unsigned comparison
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.Storage.html#convertSignedToUnsignedIndex(int)">convertSignedToUnsignedIndex</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.Storage.html" title="interface in ch.javasoft.util.longs">AbstractExactMembershipLongSet.Storage</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>signedIndex</CODE> - the index in a signed sorted list
<DT><B>Returns:</B><DD>the index in an unsigned sorted list</DL>
</DD>
</DL>
<HR>

<A NAME="convertUnsignedToSignedIndex(int)"><!-- --></A><H3>
convertUnsignedToSignedIndex</H3>
<PRE>
public int <A HREF="../../../../src-html/ch/javasoft/util/longs/AbstractExactMembershipLongSet.AbstractStorage.html#line.369"><B>convertUnsignedToSignedIndex</B></A>(int&nbsp;unsignedIndex)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.Storage.html#convertUnsignedToSignedIndex(int)">AbstractExactMembershipLongSet.Storage</A></CODE></B></DD>
<DD>Converts an index referring to a sorted array using unsigned 
 comparison into an referring to a list containing the same numbers 
 but sorted with signed comparison
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.Storage.html#convertUnsignedToSignedIndex(int)">convertUnsignedToSignedIndex</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.Storage.html" title="interface in ch.javasoft.util.longs">AbstractExactMembershipLongSet.Storage</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>unsignedIndex</CODE> - the index in a unsigned sorted list
<DT><B>Returns:</B><DD>the index in an signed sorted list</DL>
</DD>
</DL>
<HR>

<A NAME="listIterator(int, int)"><!-- --></A><H3>
listIterator</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/util/longs/LongListIterator.html" title="interface in ch.javasoft.util.longs">LongListIterator</A> <A HREF="../../../../src-html/ch/javasoft/util/longs/AbstractExactMembershipLongSet.AbstractStorage.html#line.373"><B>listIterator</B></A>(int&nbsp;start,
                                     int&nbsp;end)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.Storage.html#listIterator(int, int)">AbstractExactMembershipLongSet.Storage</A></CODE></B></DD>
<DD>Returns a list iterator to iterate all long values from <code>start</code> 
 (inclusive) to <code>end</code> (exclusive)
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.Storage.html#listIterator(int, int)">listIterator</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.Storage.html" title="interface in ch.javasoft.util.longs">AbstractExactMembershipLongSet.Storage</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>start</CODE> - the index of the first value, inclusive<DD><CODE>end</CODE> - the index of the last value, exclusive</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/AbstractExactMembershipLongSet.AbstractStorage.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.html" title="class in ch.javasoft.util.longs"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.Storage.html" title="interface in ch.javasoft.util.longs"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/util/longs/AbstractExactMembershipLongSet.AbstractStorage.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="AbstractExactMembershipLongSet.AbstractStorage.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
